<template>
  <div>
    <div>

<CCardBody>
     <h5>Trace Hold Report </h5>
       <form class="form-inline">
  
 
    <h6>Date</h6>
  <div class="form-group mx-sm-3 mb-2">
  
<input type="date" name="FromDate" class="form-control form-control-sm" placeholder="From" v-model="searchdata.fromdate">
 <div > </div>
<input type="date" name="ToDate" class="form-control form-control-sm" placeholder="To" v-model="searchdata.todate">
    
  </div>
   <CButton size="sm" color="dark" class="ml-1" @click="getAllHoldEntryDetails()"> Search </CButton>
  
</form>
    <CDataTable
      :items="items"
      :fields="fields"
      table-filter
      items-per-page-select
      :items-per-page="5"
      pagination
      hover
      striped
      border
      sorter
     >
 
    </CDataTable>
      
  </CCardBody>

 </div>

</div>
</template>
<script>
const apiurl =  'Trace_Hold/GetTrace_Hold/'
const items = [
  { key: 'hold_Id', _style:'min-width:200px' },
  { key: 'production_ID', _style:'min-width:100px;' },
  { key: 'holdreason', _style:'min-width:50px;' }, 
  { key: 'colorcode',  label: 'HoldEntry Type',  _style: 'width:12%', },
   { key: 'quantity',   _style: 'width:12%', },
  { key: 'hold_By',     _style: 'width:1%',  },
  { key: 'hold_Time',     _style: 'width:1%',  },
 { key: 'materialcode',     _style: 'width:1%',  },
 { key: 'hold_Status', _style:'min-width:200px' },
 
 ]   
  
//import CTableWrapper from '.@/Table.vue' 
import Vue from 'vue'
import axios from 'axios'
import VUEAxios from 'vue-axios'
Vue.use(VUEAxios,axios)

export default {
   //components: { CTableWrapper },
  data ()
  {
     return {
    items: items.map((item, id) => { return {...item, id}}),
    
     fields: [
              { key: 'hold_Id' , label: 'Id',},
              { key: 'production_ID', label: 'PID', },
              { key: 'exttime', label: 'Ext Date',  },
               { key: 'shift',  label: 'Shift',  _style: 'width:2%', },
              { key: 'materialcode',  label: 'Tread code',  _style: 'width:12%', },             
              { key: 'colorcode',  label: 'Color Code ',  _style: 'width:12%', },
               { key: 'desc',  label: 'Desc ',  _style: 'width:12%', },
                           
              { key: 'mhE_name',  label: 'Leaf Truck',  _style: 'width:12%', },
              
               { key: 'quantity',  label: 'Treads ',  _style: 'width:12%', },
                { key: 'loc', label: 'Location', _style:'min-width:200px' },
                 
      ],
searchdata: {fromdate:"",todate:""},
  errMsg:"",
  SuccessMsg:"",
  smallModal: false,
  newHoldEntry: {Hold_Id:0,Production_ID:"",Hold_Reason_Id:0,HoldEntry_Type:"",Hold_By:"",Hold_Date:new Date(),Hold_Status:1,}, }
  },
 

  
  mounted()
  {
  
  },

  methods:
  {
   getAllHoldEntryDetails: function()
   {
     alert(this.$url + apiurl+ this.searchdata.fromdate+"/"+ this.searchdata.todate);
    Vue.axios.get(this.$url + apiurl+ this.searchdata.fromdate+"/"+this.searchdata.todate)
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.items =response.data[0]
        // .filter(x => x.hold_Status == 1);
       // this.subitems = response.data.fgS_FIFO_HoldEntry_Type_Master;
console.log(response.data)

       }
    });
   },

  
    },
  
    }
</script>

<style scoped>

</style>